<?php
/**
 * @file
 * Tabular (tabular) hooks exposed.
 */

/**
 * Declares tabular entity kinds provided by this module.
 *
 * Implements hook_tabular_entity_kind_info().
 *
 * @see tabular_entity_kind()
 * @see module_load_include()
 */
function hook_tabular_entity_kind_info() {
  return array(
    // Selector entity kind name.
    'whatever' => array(
      // PHP class declaring this tabular entity kind.
      'class' => 'TabularWhatever',
      // List of args for module_load_include() for inclusion
      // of the class declaring the tabular entity kind
      // - plus ancestors (if any), except Tabular self.
      'includes' => array(
        // An ancestor between Tabular and this entity kind class.
        'TabularIntermediate' => array(
          'module' => 'tabular_intermediate',
          'ext' => 'inc',
          'path_file' => 'inc/TabularIntermediate',
        ),
        // Required. The class declaring this tabular entity kind.
        'TabularWhatever' => array(
          'module' => 'tabular_whatever',
          'ext' => 'inc',
          'path_file' => 'inc/TabularWhatever',
        ),
      ),
    ),
  );
}

/**
 * Declares tabular entity kind data providers of this module.
 *
 * The entity kind(s) do not have to be declared by (belong to) this module.
 *
 * Implements hook_tabular_entity_kind_provider_info().
 *
 * @see tabular_entity_kind_provider()
 * @see tabular_example_tabular_entity_kind_provider_info()
 */
function hook_tabular_entity_kind_provider_info() {
  return array(
    // Selector entity kind name.
    'whatever' => array(
      // Provider name.
      'some_provider' => array(
        /** @see tabular_example_tabular_entity_kind_provider_info() */
      ),
    ),
  );
}
