/**
 * @file
 * Tabular Example (tabular_example) tabular group
 * field instance customization.
 */

/*jslint browser: true, continue: true, indent: 2, newcap: true, nomen: true, plusplus: true, regexp: true, white: true, ass: true*/
/*global alert: false, confirm: false, console: false*/
/*global jQuery: false, Drupal: false, Judy: false*/

(function($) {
  'use strict';

  // Import.
  var Tabular = Drupal.Tabular;

  Drupal.behaviors.tabularCustomizeForInstance = {
    attach: function() {
      // Look for 'group ready' elements, having the entity kind 'example'.
      $('tabular_group_ready[tabular-entity-kind="example"]').not('[tabular-group-customized]').
        each(function() {
          var self = this,
            groupId = self.getAttribute('tabular-group-id'),
            widgetGroup = Tabular.getGroup(groupId);
          // Don't do this again.
          self.setAttribute('tabular-group-customized', '1');

          return;

          // Subscribe to option changes.
          widgetGroup.setOptionChangeSubscription(
            // A subscription name.
            'some_customization_listener',
            // An object, or simply null for window.
            null,
            // A global function, or a method (obj.method).
            function(evt) {
              inspect(evt, 'Example options changed');
            }
            // Optionally an array of arguments to the function. The first arg
            // will eventually be a (special) event object, if no args defined
            // or if first arg is null or undefined.
            //, [null, 'whatever']
          );

          // Subscribe to value changes.
          widgetGroup.setValueChangeSubscription(
            'some_customization_listener',
            null,
            function(evt) {
              inspect(evt, 'Example value(s) changed');
            }
          );
        });
    }
  };
}(jQuery));
